Bug 144076 - kde fails to mount multi session CDROM (kio_devices_mounthelper thinks cdrom already mounted)
kde fails to mount multi session CDROM (kio_devices_mounthelper thinks cdrom ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-04 07:36 EST by James Hunt
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version: kde-3.5.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-14 06:26:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Hunt 2005-01-04 07:36:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux) (KHTML, like Gecko)

Description of problem:
Logging into KDE, and clicking the "CD Recorder" icon opens up konqueror, displaying location, "file:/media/cdrecorder".

However, expanding the "CD recorder" icon below "Devices" in the left-hand pane of the konqueror window, displays a pop-up error box with title bar "Error - kio_devices_mounthelper".

The error displayed is:

_____________________________
mount: block device /dev/hdc is write-protected, mounting
read-only

mount: /dev/hdc already mounted or /media/cdrecorder
busy

Please check that the disk is entered correctly.

 [ OK ]
_____________________________

As shown above, your only option is to click OK.

It appears that /usr/bin/kio_devices_mounthelper does not understand
multi-session CD's.

If I run the following command as root, all works as expected:

   mount -osession=1 /dev/cdrom /mnt

kio_devices_mounthelper clearly needs to be made aware of multi-session CD's. What would be nice is if konqueror/kde would pop up a box when it detects a multi-session CD, and ask you _which_ session you want to mount. It could determine the fact that the CD is multi-session, and the number of sessions by running,

    cdrecord -toc

Alternatively, it could mount the last session (giving access to all the previous sessions I believe?) and then display them like this:

/media/cdrecorder/
/media/cdrecorder/session0/
/media/cdrecorder/session0/some/files/...
/media/cdrecorder/session1/
/media/cdrecorder/session1/some/more/files/...
/media/cdrecorder/session2/
/media/cdrecorder/session2/more/stuff/...
             :
             :

I think this bug is important to fix, since it was found by a relative who I'm attempting to migrate to Linux. They were surprised that Linux (well, strictly, KDE) was unable to display multi-session CD's.




Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. insert multi-session CD into CDROM drive
2. log into KDE
3. double-click "CD Recorder" icon
4. expand "CD Recorder" twistie under "Devices" in the konqueror
   window that KDE fires up.

Actual Results:  An error-box titled, "Error - kio_devices_mounthelper" pops up showing...

mount: block device /dev/hdc is write-protected, mounting
read-only

mount: /dev/hdc already mounted or /media/cdrecorder
busy

Please check that the disk is entered correctly.

 [ OK ]

Expected Results:  I expected the CD to be mounted, either displaying all the sessions
combined into 1 view (a la Windoz), or a box to pop up asking me to select which session I wanted to mount.


Additional info:

I created multi-session CD using Linux like this:

# 1st session:
mkisofs -R -o file.iso \
  -graft-points some/cd/dir/=some/fs/dir
cdrecord -pad -data -multi dev=/dev/cdrom file.iso

# 2nd, and subsequent sessions.
mkisofs -R -o file2.iso \
  -C `cdrecord -msinfo dev=/dev/cdrom` -M /dev/cdrom \
  -graft-points some/cd/dir2/=some/fs/dir2
cdrecord -pad -data -multi dev=/dev/cdrom file2.iso


NOTE: The CD has *NOT* had the last session written yet.
Comment 1 David W. Legg 2005-02-24 05:06:07 EST
I get the same problem with a single-session CD-ROM using the latest
kde inc. kdebase-3.3.1-4.3.FC3.i386.rpm etc.

If I do mount /media/cdrom by hand and then use the CD-ROM icon,
konqueror starts and shows the contents of the CD ok.
Comment 2 Matthew Miller 2006-07-10 16:47:11 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 James Hunt 2006-07-14 06:10:05 EDT
OK, the problem now seems to have been resolved:]

kdeaddons-3.5.3-0.1.fc5
kdeadmin-3.5.3-0.1.fc5
kdeartwork-3.5.3-0.1.fc5
kdebase-3.5.3-0.4.fc5
kdebindings-3.5.3-0.1.fc5
kdegames-3.5.3-0.1.fc5
kdegraphics-3.5.3-0.2.fc5
kde-i18n-British-3.5.3-0.1.fc5
kdelibs-3.5.3-0.3.fc5
kdemultimedia-3.5.3-0.2.fc5
kdenetwork-3.5.3-0.1.fc5
kdepim-3.5.3-0.2.fc5
kdesdk-3.5.3-0.1.fc5
kdeutils-3.5.3-0.1.fc5
kdeutils-3.5.3-0.2.fc5
kdewebdev-3.5.3-0.1.fc5

If I navigate to /media/CDROM/ in the "root folder" tab in the left hand pane of
konqueror, I can now see my sessions represented as different folders. Expanding
the folders shows the expected files, and no errors are generated.

IMO this bug can be closed.

Note You need to log in before you can comment on or make changes to this bug.